Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class SeamApplication12

    java.lang.Object
      javax.faces.application.Application
          org.jboss.seam.jsf.SeamApplication11
              org.jboss.seam.jsf.SeamApplication12

    public class SeamApplication12

extends SeamApplication11

Field Summary

Fields inherited from class org.jboss.seam.jsf.SeamApplication11
`application`

Constructor Summary
`SeamApplication12(javax.faces.application.Application application)`

Method Summary
`void` | `addELContextListener(javax.el.ELContextListener listener)`
`void` | `addELResolver(javax.el.ELResolver resolver)`
`javax.faces.component.UIComponent` | `createComponent(javax.el.ValueExpression componentExpression, javax.faces.context.FacesContext context, String componentType)`
`Object` | `evaluateExpressionGet(javax.faces.context.FacesContext context, String expression, Class expectedType)`
`javax.el.ELContextListener[]` | `getELContextListeners()`
`javax.el.ELResolver` | `getELResolver()`
`javax.el.ExpressionFactory` | `getExpressionFactory()`
`ResourceBundle` | `getResourceBundle(javax.faces.context.FacesContext ctx, String name)`
`void` | `removeELContextListener(javax.el.ELContextListener listener)`

Methods inherited from class org.jboss.seam.jsf.SeamApplication11
`addComponent, addConverter, addConverter, addValidator, createComponent, createComponent, createConverter, createConverter, createMethodBinding, createValidator, createValueBinding, getActionListener, getComponentTypes, getConverterIds, getConverterTypes, getDefaultLocale, getDefaultRenderKitId, getDelegate, getMessageBundle, getNavigationHandler, getPropertyResolver, getStateManager, getSupportedLocales, getValidatorIds, getVariableResolver, getViewHandler, setActionListener, setDefaultLocale, setDefaultRenderKitId, setMessageBundle, setNavigationHandler, setPropertyResolver, setStateManager, setSupportedLocales, setVariableResolver, setViewHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamApplication12

    public SeamApplication12(javax.faces.application.Application application)

Method Detail

### getELResolver

    public javax.el.ELResolver getELResolver()

  Overrides:
    `getELResolver` in class `javax.faces.application.Application`

### addELResolver

    public void addELResolver(javax.el.ELResolver resolver)

  Overrides:
    `addELResolver` in class `javax.faces.application.Application`

### getExpressionFactory

    public javax.el.ExpressionFactory getExpressionFactory()

  Overrides:
    `getExpressionFactory` in class `javax.faces.application.Application`

### evaluateExpressionGet

    public Object evaluateExpressionGet(javax.faces.context.FacesContext context,
                                        String expression,
                                        Class expectedType)
                                 throws javax.el.ELException

  Overrides:
    `evaluateExpressionGet` in class `javax.faces.application.Application`
  Throws:
    `javax.el.ELException`

### getResourceBundle

    public ResourceBundle getResourceBundle(javax.faces.context.FacesContext ctx,
                                            String name)

  Overrides:
    `getResourceBundle` in class `javax.faces.application.Application`

### createComponent

    public javax.faces.component.UIComponent createComponent(javax.el.ValueExpression componentExpression,
                                                             javax.faces.context.FacesContext context,
                                                             String componentType)
                                                      throws javax.faces.FacesException

  Overrides:
    `createComponent` in class `javax.faces.application.Application`
  Throws:
    `javax.faces.FacesException`

### addELContextListener

    public void addELContextListener(javax.el.ELContextListener listener)

  Overrides:
    `addELContextListener` in class `javax.faces.application.Application`

### removeELContextListener

    public void removeELContextListener(javax.el.ELContextListener listener)

  Overrides:
    `removeELContextListener` in class `javax.faces.application.Application`

### getELContextListeners

    public javax.el.ELContextListener[] getELContextListeners()

  Overrides:
    `getELContextListeners` in class `javax.faces.application.Application`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD